path: /build/build/fftw-sci-libs-3.0-3.3.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-fortran -mpi -quad -test" emerge sci-libs/fftw:3.0 -pv -t && \
    USE="-fortran -mpi -quad -test" emerge -j ${JOBS} --nodeps sci-libs/fftw:3.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/fftw && luet-portage --dir /pkgdir/fftw
    sci-libs/fftw:3.0 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: fftw
    version: 3.3.8
    category: sci-libs-3.0
    use_flags:
    - -fortran
    - -mpi
    - -quad
    - -test
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Fast C library for the Discrete Fourier Transform
    uri:
    - http://www.fftw.org/
    license: GPL-2+
    buildtimestamp: 2023-08-27 11:14:31.333150673 +0000 UTC m=+165.325193744
    labels:
      DEPEND: mpi? ( >=virtual/mpi-2.0-r4[-mgorny(-)] ) quad? ( sys-devel/gcc[fortran]
        ) test? ( dev-lang/perl ) fortran? ( virtual/fortran )
      IUSE: altivec cpu_flags_x86_avx cpu_flags_x86_avx2 cpu_flags_x86_fma3 cpu_flags_x86_fma4
        cpu_flags_x86_sse cpu_flags_x86_sse2 doc fortran mpi neon openmp quad static-libs
        test threads zbus abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: mpi? ( >=virtual/mpi-2.0-r4[-mgorny(-)] ) fortran? ( virtual/fortran
        )
      emerge.packages: sci-libs/fftw:3.0
      kit: science-kit
      original.package.name: sci-libs/fftw
      original.package.slot: "3.0"
      original.package.version: 3.3.8
    treedir: /build/packages
  package_dir: /pkgdir/fftw
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5175a86ec2afe5f417226859b7976ad7db089316610a7d8b12fe817d06188ba1
compressiontype: zstd
files:
- usr/bin/fftw-wisdom
- usr/bin/fftw-wisdom-to-conf
- usr/bin/fftwf-wisdom
- usr/bin/fftwl-wisdom
- usr/include/fftw3.f
- usr/include/fftw3.f03
- usr/include/fftw3.h
- usr/include/fftw3l.f03
- usr/include/fftw3q.f03
- usr/lib64/cmake/fftw3/FFTW3Config.cmake
- usr/lib64/cmake/fftw3/FFTW3ConfigVersion.cmake
- usr/lib64/cmake/fftw3/FFTW3fConfig.cmake
- usr/lib64/cmake/fftw3/FFTW3fConfigVersion.cmake
- usr/lib64/cmake/fftw3/FFTW3lConfig.cmake
- usr/lib64/cmake/fftw3/FFTW3lConfigVersion.cmake
- usr/lib64/libfftw3.so
- usr/lib64/libfftw3.so.3
- usr/lib64/libfftw3.so.3.5.8
- usr/lib64/libfftw3_omp.so
- usr/lib64/libfftw3_omp.so.3
- usr/lib64/libfftw3_omp.so.3.5.8
- usr/lib64/libfftw3f.so
- usr/lib64/libfftw3f.so.3
- usr/lib64/libfftw3f.so.3.5.8
- usr/lib64/libfftw3f_omp.so
- usr/lib64/libfftw3f_omp.so.3
- usr/lib64/libfftw3f_omp.so.3.5.8
- usr/lib64/libfftw3l.so
- usr/lib64/libfftw3l.so.3
- usr/lib64/libfftw3l.so.3.5.8
- usr/lib64/libfftw3l_omp.so
- usr/lib64/libfftw3l_omp.so.3
- usr/lib64/libfftw3l_omp.so.3.5.8
- usr/lib64/pkgconfig/fftw3.pc
- usr/lib64/pkgconfig/fftw3_omp.pc
- usr/lib64/pkgconfig/fftw3f.pc
- usr/lib64/pkgconfig/fftw3f_omp.pc
- usr/lib64/pkgconfig/fftw3l.pc
- usr/lib64/pkgconfig/fftw3l_omp.pc
- usr/share/doc/fftw-3.3.8/AUTHORS.bz2
- usr/share/doc/fftw-3.3.8/CONVENTIONS.bz2
- usr/share/doc/fftw-3.3.8/ChangeLog.bz2
- usr/share/doc/fftw-3.3.8/NEWS.bz2
- usr/share/doc/fftw-3.3.8/README-perfcnt.md.bz2
- usr/share/doc/fftw-3.3.8/README.bz2
- usr/share/doc/fftw-3.3.8/TODO.bz2
- usr/share/info/fftw3.info-1.bz2
- usr/share/info/fftw3.info-2.bz2
- usr/share/info/fftw3.info.bz2
- usr/share/man/man1/fftw-wisdom-to-conf.1.bz2
- usr/share/man/man1/fftw-wisdom.1.bz2
- usr/share/man/man1/fftwf-wisdom.1.bz2
- usr/share/man/man1/fftwl-wisdom.1.bz2
- var/db/pkg/sci-libs/fftw-3.3.8/BUILD_TIME
- var/db/pkg/sci-libs/fftw-3.3.8/CATEGORY
- var/db/pkg/sci-libs/fftw-3.3.8/CBUILD
- var/db/pkg/sci-libs/fftw-3.3.8/CFLAGS
- var/db/pkg/sci-libs/fftw-3.3.8/CHOST
- var/db/pkg/sci-libs/fftw-3.3.8/CONTENTS
- var/db/pkg/sci-libs/fftw-3.3.8/COUNTER
- var/db/pkg/sci-libs/fftw-3.3.8/CXXFLAGS
- var/db/pkg/sci-libs/fftw-3.3.8/DEFINED_PHASES
- var/db/pkg/sci-libs/fftw-3.3.8/DESCRIPTION
- var/db/pkg/sci-libs/fftw-3.3.8/EAPI
- var/db/pkg/sci-libs/fftw-3.3.8/FEATURES
- var/db/pkg/sci-libs/fftw-3.3.8/HOMEPAGE
- var/db/pkg/sci-libs/fftw-3.3.8/INHERITED
- var/db/pkg/sci-libs/fftw-3.3.8/IUSE
- var/db/pkg/sci-libs/fftw-3.3.8/IUSE_EFFECTIVE
- var/db/pkg/sci-libs/fftw-3.3.8/KEYWORDS
- var/db/pkg/sci-libs/fftw-3.3.8/LDFLAGS
- var/db/pkg/sci-libs/fftw-3.3.8/LICENSE
- var/db/pkg/sci-libs/fftw-3.3.8/NEEDED
- var/db/pkg/sci-libs/fftw-3.3.8/PF
- var/db/pkg/sci-libs/fftw-3.3.8/PROVIDES
- var/db/pkg/sci-libs/fftw-3.3.8/REQUIRES
- var/db/pkg/sci-libs/fftw-3.3.8/SIZE
- var/db/pkg/sci-libs/fftw-3.3.8/SLOT
- var/db/pkg/sci-libs/fftw-3.3.8/USE
- var/db/pkg/sci-libs/fftw-3.3.8/environment.bz2
- var/db/pkg/sci-libs/fftw-3.3.8/fftw-3.3.8.ebuild
- var/db/pkg/sci-libs/fftw-3.3.8/repository
package_cacheimage: ""
runtime:
  name: fftw
  version: 3.3.8
  category: sci-libs-3.0
  use_flags:
  - -fortran
  - -mpi
  - -quad
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Fast C library for the Discrete Fourier Transform
  uri:
  - http://www.fftw.org/
  license: GPL-2+
  labels:
    DEPEND: mpi? ( >=virtual/mpi-2.0-r4[-mgorny(-)] ) quad? ( sys-devel/gcc[fortran]
      ) test? ( dev-lang/perl ) fortran? ( virtual/fortran )
    IUSE: altivec cpu_flags_x86_avx cpu_flags_x86_avx2 cpu_flags_x86_fma3 cpu_flags_x86_fma4
      cpu_flags_x86_sse cpu_flags_x86_sse2 doc fortran mpi neon openmp quad static-libs
      test threads zbus abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: mpi? ( >=virtual/mpi-2.0-r4[-mgorny(-)] ) fortran? ( virtual/fortran
      )
    emerge.packages: sci-libs/fftw:3.0
    kit: science-kit
    original.package.name: sci-libs/fftw
    original.package.slot: "3.0"
    original.package.version: 3.3.8
